org.gradle.plugin.use

## Interface PluginDependencySpec

-     @Incubating
      public interface PluginDependencySpec

  A mutable specification of a dependency on a plugin.

  Can be used to specify the version of the plugin to use.

  See `PluginDependenciesSpec` for more information about declaring plugin dependencies.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `version(String version)` Specify the version of the plugin to depend on.

- - ### Method Detail

    - #### version

          void version(@Nullable
                     String version)

      Specify the version of the plugin to depend on.

           plugins {
               id "org.company.myplugin" version "1.0"
           }

      By default, dependencies have no (i.e. `null`) version.

      Core plugins must not include a version number specification. Community plugins must include a version number specification.

      Parameters:
        `version` - the version string (`null` for no specified version, which is the default)